package com.persagy.fm.sop.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author weijinhao
 * @since 2021-03-17
 */
public class SopEdit extends Model<SopEdit> {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "sop_edit_id", type = IdType.ASSIGN_UUID)
    private String sopEditId;

    private String sopId;

    /**
     * 通用sop的项目Id默认为"group_sop_id"
     */
    private String projectId;

    /**
     * 项目类型：同一级建筑功能类型 ，字段使用原有的extend_field保存
     */
    private String extendField;

    /**
     * 表示sop的发布者、更新者
     */
    private String operator;

    /**
     * 名称项目下唯一
     */
    private String sopName;

    /**
     * 1-通用，2-项目专用
     */
    private String sopType;

    /**
     * 0-否 1-是
     */
    private String noObj;

    /**
     * 数组[code，code]，
子项：SE-强电，WE-弱电，AC-空调，WS-给排水，FF-消防，SP-安防
     */
    private String domains;

    /**
     * 数组[{"tool"：“……”,"from_step":true}]
     */
    private String tools;

    /**
     * 数组[code，code]，
子项：1-保养、2-维修、3-巡检、4-运行、5-安防、
     */
    private String orderType;

    /**
     * [{
      "obj_id:"***", //对象id
      "obj_name:"对象名称1", //对象名称
      "obj_type":"equip",  //对象类型,子项见后边
}]
     */
    private String fitObjs;

    /**
     * [name,name]
     */
    private String equipModelIds;

    /**
     * 见 sop表
     */
    private String labels;

    /**
     * [{"name":"***'，“url”：“***”}，{}]
     */
    private String steps;

    /**
     * 0-草稿、1-已发布
     */
    private String relatedData;

    /**
     * 3-修订中
     */
    private String sopStatus;

    /**
     * id的数组[sop_id,sop_id]
     */
    private String publishStatus;

    private String refSopIds;

    private String version;

    private Integer versionCount;

    /**
     * 数组[“描述”,“描述”]
     */
    private String versionExplain;

    /**
     * yyyyMMddhhmmss
     */
    private String createTime;

    /**
     * yyyyMMddhhmmss
     */
    private String updateTime;

    private Boolean valid;


    public String getSopEditId() {
        return sopEditId;
    }

    public void setSopEditId(String sopEditId) {
        this.sopEditId = sopEditId;
    }

    public String getSopId() {
        return sopId;
    }

    public void setSopId(String sopId) {
        this.sopId = sopId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getExtendField() {
        return extendField;
    }

    public void setExtendField(String extendField) {
        this.extendField = extendField;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getSopName() {
        return sopName;
    }

    public void setSopName(String sopName) {
        this.sopName = sopName;
    }

    public String getSopType() {
        return sopType;
    }

    public void setSopType(String sopType) {
        this.sopType = sopType;
    }

    public String getNoObj() {
        return noObj;
    }

    public void setNoObj(String noObj) {
        this.noObj = noObj;
    }

    public String getDomains() {
        return domains;
    }

    public void setDomains(String domains) {
        this.domains = domains;
    }

    public String getTools() {
        return tools;
    }

    public void setTools(String tools) {
        this.tools = tools;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getFitObjs() {
        return fitObjs;
    }

    public void setFitObjs(String fitObjs) {
        this.fitObjs = fitObjs;
    }

    public String getEquipModelIds() {
        return equipModelIds;
    }

    public void setEquipModelIds(String equipModelIds) {
        this.equipModelIds = equipModelIds;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getSteps() {
        return steps;
    }

    public void setSteps(String steps) {
        this.steps = steps;
    }

    public String getRelatedData() {
        return relatedData;
    }

    public void setRelatedData(String relatedData) {
        this.relatedData = relatedData;
    }

    public String getSopStatus() {
        return sopStatus;
    }

    public void setSopStatus(String sopStatus) {
        this.sopStatus = sopStatus;
    }

    public String getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(String publishStatus) {
        this.publishStatus = publishStatus;
    }

    public String getRefSopIds() {
        return refSopIds;
    }

    public void setRefSopIds(String refSopIds) {
        this.refSopIds = refSopIds;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Integer getVersionCount() {
        return versionCount;
    }

    public void setVersionCount(Integer versionCount) {
        this.versionCount = versionCount;
    }

    public String getVersionExplain() {
        return versionExplain;
    }

    public void setVersionExplain(String versionExplain) {
        this.versionExplain = versionExplain;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getValid() {
        return valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    @Override
    protected Serializable pkVal() {
        return this.sopEditId;
    }

    @Override
    public String toString() {
        return "SopEdit{" +
        "sopEditId=" + sopEditId +
        ", sopId=" + sopId +
        ", projectId=" + projectId +
        ", extendField=" + extendField +
        ", operator=" + operator +
        ", sopName=" + sopName +
        ", sopType=" + sopType +
        ", noObj=" + noObj +
        ", domains=" + domains +
        ", tools=" + tools +
        ", orderType=" + orderType +
        ", fitObjs=" + fitObjs +
        ", equipModelIds=" + equipModelIds +
        ", labels=" + labels +
        ", steps=" + steps +
        ", relatedData=" + relatedData +
        ", sopStatus=" + sopStatus +
        ", publishStatus=" + publishStatus +
        ", refSopIds=" + refSopIds +
        ", version=" + version +
        ", versionCount=" + versionCount +
        ", versionExplain=" + versionExplain +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", valid=" + valid +
        "}";
    }
}
