package com.persagy.fm.sop.service;

import com.persagy.fm.sop.model.dto.RefSopInfo;
import com.persagy.fm.sop.model.vo.QuerySopReferenceVo;
import com.persagy.fm.sop.model.vo.SaveSopEditVo;
import com.persagy.fm.sop.model.vo.SaveSopVo;
import com.persagy.fm.sop.model.vo.VerifySopNameVo;

import java.util.List;
import java.util.Set;

public interface GroupSopService {
    /**
     * 集团sop-新增页-添加发布状态sop
     * @param saveSopVo
     * @return
     * @throws Exception
     */
    boolean addPublishedSop(SaveSopVo saveSopVo) throws Exception;

    /**
     * 在发布前验证sop
     * @param saveSopVo
     * @return
     * @throws Exception
     */
    boolean verifySopForPublish(SaveSopVo saveSopVo) throws Exception;

    Set<String> getSopRefSops(SaveSopVo sop);

    String addDraftSop(SaveSopEditVo saveSopEditVo) throws Exception ;

    /**
     * 集团sop-新增页-验证sop
     * @param jsonStr
     * @return
     * @throws Exception
     */
    public boolean verifySopBeforePublish(VerifySopNameVo jsonStr) throws Exception;

    /**
     * 详细页-查询当前sop被引用的sop列表
     * @param querySopReferenceVo
     * @return
     * @throws Exception
     */
    List<RefSopInfo> queryReferencedSopListById(QuerySopReferenceVo querySopReferenceVo)throws Exception;
}
